import { Loggable, LogInstance } from '../../utils/log';
export declare class App implements Loggable {
    private focusVisible?;
    private debouncedNotify;
    el?: HTMLElement;
    log: LogInstance;
    createLogger(log: LogInstance): void;
    animated: boolean;
    ready: boolean;
    connectedCallback(): void;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    setFocus(elements: HTMLElement[]): Promise<void>;
    notifyResize: () => Promise<void>;
    render(): any;
}
